configuration_name: FR3_configuration
system:
  save_graph: true
  save_final_traj: true
  logging_level: Info
  use_gui: true
  filename_output_track_kitti: kitti_track.sashago
  filename_output_track_standard: tum_track.sashago
  filename_output_track_txtio: txtio_track_sashago.txtio
  save_open_loop_traj:  true      # true if you want to save track and graph before optimizing the graph
  save_final_traj:      true      # true if you want to save track and graph after optimizing the graph
  save_graph:           true      # true if you want to save the graph - either pre or post optimization
  save_track_kitti:     false      # true if you want to save the track in kitti format - either pre or post optimization
  save_track_tum:       true      # true if you want to save the track in tum format - either pre or post optimization
  save_track_txtio:     false     # true if you want to save the track in txtio format to visualize with nicp
  use_guess:            true     # true if you want to use odometry as initial guess for tracking
message_topics:
  topic_depth: /camera/depth/image
  topic_rgb: /camera/rgb/image_color
  depth_scale: 5000
detector:
  min_distance: 0.015
  max_distance: 8
  max_curvature: 0.0450
  col_gap: 5
  row_gap: 5
  normals_blur: 4
  detect_points: true
  detect_lines: true
  detect_planes: true
  point_detector_threshold_minimum: 17 #15
  point_detector_threshold_maximum_change: 0.0
  point_detector_threshold_maximum: 100
  point_detector_vertical_detectors: 1
  point_detector_horizontal_detectors: 1
  point_detector_bin_size_pixels: 13 #25    # 35 seems to cause segfaults, not investigated
  point_detector_target_number_of_keypoints_tolerance: 0.1
  point_detector_nonmax_suppression: true
  point_detector_descriptors_type: ORB
  line_detector_scale: 2
  line_detector_num_octaves: 2
  line_detector_lp2t_threshold: 20 #10
  line_detector_bp2d_threshold: 0.0060 #0.0040
  line_detector_width_of_band: 14
  line_detector_distance_resolution: 1
  line_detector_angle_resolution: 270
  line_detector_vote_threshold: 150
  line_detector_min_line_length: 20
  line_detector_max_line_gap: 0
  plane_detector_min_cluster_points: 2500
  sema_det_path: "/path/to/gtAnno.txt"
nn_correspondence_finder:
  tree_max_distance: 1.0
  hamming_line_threshold: 25
  normal_scale: 10
  hamming_point_threshold: 25
  leaf_range: 0.9
  direction_scale: 1
aligner:
  use_support_weight: false
  max_iterations: 30
  use_direct_solver: false
tracker:
  direction_distance_threshold: 0.5
  point_distance_threshold: 0.075
  resolution: 0.025
  scene_percentage_for_break: 0.8
  age_threshold_point: 8
  age_threshold_line: 8
  recursive_edge_generation: false
  age_threshold_plane: 20
  maximum_matching_distance: 25
relocalizer:
  min_relocalization_score: 0.075
  maximum_matching_distance: 30
  frame_interspace: 10
  min_relocalization_matches: 25

# closure management: generation and optimtimzation
loop_closer:
  optimization_kernel: Cauchy
  use_kernel: true
  g2o_filename: graph.g2o
  num_iterations: 40 #100
  online_optimization: false
